Bug 23385 - Hide default value fields by default on patron import
Summary: Hide default value fields by default on patron import
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-26 14:48 UTC by Nick Clemens
Modified: 2019-08-13 13:37 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23385: Hide 'Default values' fields by default (1.92 KB, patch)
2019-07-26 14:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23385: Hide 'Default values' fields by default (1.96 KB, patch)
2019-07-26 18:43 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23385: (follow-up) Update link (1.92 KB, patch)
2019-07-29 13:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23385: Hide 'Default values' fields by default (2.01 KB, patch)
2019-07-29 22:05 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23385: (follow-up) Update link (1.97 KB, patch)
2019-07-29 22:06 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23385: (follow-up) Update link (2.03 KB, patch)
2019-08-08 16:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-07-26 14:48:50 UTC
When importing patrons there is a very long form to supply default values for patron fields. This is not always used and can be hidden unless needed to make the form display nicer
Comment 1 Nick Clemens 2019-07-26 14:50:44 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-07-26 18:43:02 UTC
Created attachment 91838 [details] [review]
Bug 23385: Hide 'Default values' fields by default

To test:
1 - Go to Tools->Import patrons
2 - Choose a file
3 - Scroll a long way to submit
4 - Apply patch
5 - Choose a file
6 - Can submit easily
7 - Click to expand and enter default fields
8 - Confirm can still submit and that values entered are used

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Owen Leonard 2019-07-29 13:03:49 UTC
Created attachment 91850 [details] [review]
Bug 23385: (follow-up) Update link

This follow-up adds a dummy href attribute to the link for showing and
hiding the default values form so that it behaves more like a link.

I removed "click to" from the link text and added Font Awesome icons
common to "show/hide" links.
Comment 4 ByWater Sandboxes 2019-07-29 22:05:59 UTC
Created attachment 91859 [details] [review]
Bug 23385: Hide 'Default values' fields by default

To test:
1 - Go to Tools->Import patrons
2 - Choose a file
3 - Scroll a long way to submit
4 - Apply patch
5 - Choose a file
6 - Can submit easily
7 - Click to expand and enter default fields
8 - Confirm can still submit and that values entered are used

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: George Williams <george@nekls.org>
Comment 5 ByWater Sandboxes 2019-07-29 22:06:01 UTC
Created attachment 91860 [details] [review]
Bug 23385: (follow-up) Update link

This follow-up adds a dummy href attribute to the link for showing and
hiding the default values form so that it behaves more like a link.

I removed "click to" from the link text and added Font Awesome icons
common to "show/hide" links.

Signed-off-by: George Williams <george@nekls.org>
Comment 6 Katrin Fischer 2019-08-08 16:28:09 UTC
Created attachment 92094 [details] [review]
Bug 23385: (follow-up) Update link

This follow-up adds a dummy href attribute to the link for showing and
hiding the default values form so that it behaves more like a link.

I removed "click to" from the link text and added Font Awesome icons
common to "show/hide" links.

Signed-off-by: George Williams <george@nekls.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2019-08-13 13:37:48 UTC
Nice work!

Pushed to master for 19.11.00